use super::DockerCommand;

// simple commands
pub fn build() {
    DockerCommand::docker_compose().args("build").spawn_wait();
}

pub fn down() {
    DockerCommand::docker_compose().args("down").spawn_wait();
}

pub fn start() {
    DockerCommand::docker_compose().args("start").spawn_wait();
}

pub fn stop() {
    DockerCommand::docker_compose().args("stop").spawn_wait();
}

pub fn up() {
    DockerCommand::docker_compose().args("up -d").spawn_wait();
}

// shortcuts
pub fn rebuild() {
    stop();
    build();
    start();
}

pub fn restart() {
    stop();
    start();
}
